# class Chef::Resource::IpsPackage

### Public Class Methods

new(name, run_context = nil) click to toggle source
Calls superclass method Chef::Resource::Package.new

    # File lib/chef/resource/ips_package.rb, line 25
    def initialize(name, run_context = nil)
      super(name, run_context)
      @resource_name = :ips_package
      @provider      = Chef::Provider::Package::Ips
      @allowed_actions = [ :install, :remove, :upgrade ]
      @accept_license = false
    end

### Public Instance Methods

accept_license(arg=nil) click to toggle source

    # File lib/chef/resource/ips_package.rb, line 33
    def accept_license(arg=nil)
      set_or_return(
        :purge,
        arg,
        :kind_of => [ TrueClass, FalseClass ]
      )
    end